Bug 1419241 - yumex-dnf window size grows with each invocation
Summary: yumex-dnf window size grows with each invocation
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 07:10 UTC by alberth289346
Modified: 2017-12-12 10:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:30:29 UTC
Type: Bug


Attachments (Terms of Use)

Description alberth289346 2017-02-04 07:10:05 UTC
Description of problem:
I hate maximized windows, and yumex-dnf seems to do that by default, so today I looked for the config to fix that.

I found it in $HOME/.config/yumex-dnf/yumex.conf and changed it to (without yumex-dnf running)

[yumex]
autocheck_updates = 0
autostart = 0
update_interval = 60
update_notify = 1
update_showicon = 1
update_startup_delay = 30
archs = noarch,x86_64,i386
system_refresh = 2017-02-04 07:36
win_height = 699
win_width = 1321
color_normal = #000000
search_default = fields
info_paned = 452
win_maximized = 0

I started yumex-dnf again, and immediately closed it again.
The config then looked

[yumex]
autocheck_updates = 0
autostart = 0
update_interval = 60
update_notify = 1
update_showicon = 1
update_startup_delay = 30
archs = noarch,x86_64,i386
system_refresh = 2017-02-04 07:36
win_height = 798
win_width = 1373
color_normal = #000000
search_default = fields
info_paned = 452
win_maximized = 0

Note how the win_{height,width} have increased.
I started yumex-dnf a second time, and closed it again. The config then looked

[yumex]
autocheck_updates = 0
autostart = 0
update_interval = 60
update_notify = 1
update_showicon = 1
update_startup_delay = 30
archs = noarch,x86_64,i386
system_refresh = 2017-02-04 07:36
win_height = 897
win_width = 1425
color_normal = #000000
search_default = fields
info_paned = 452
win_maximized = 0

Again a bigger window size.

Likely this continues to happen until the program reaches screen size, and then the windowing system ensures it doesn't grow further in some way, or it jumps back to maximized mode or something.


Version-Release number of selected component (if applicable):
4.3.2

How reproducible:
- Edit the config file $HOME/.config/yumex-dnf/yumex.conf to a less-than biggest win_height and win_width, and reset the win_maximized entry to 0
- cat yumex-conf
- yumex-conf  (and close it immediately after opening)
- cat yumex-conf

Actual results:
On each invocation, the window size of the application becomes bigger.


Expected results:
The window size of the application should not change unless I explicitly change the size of the window by resizing.

Comment 1 Fedora Admin XMLRPC Client 2017-03-22 10:09:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2017-03-23 18:02:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2017-11-16 19:53:44 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:30:29 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.